package com.huigou.topsun.proofing.service;

import com.huigou.topsun.proofing.domain.model.ProofingMake;
import com.huigou.topsun.proofing.domain.vo.ProofingMakeVo;

import java.util.List;

public interface ProofingMakeService {

    /**
     * 根据id查询打样制造详情信息
     * @return
     */
//    List<ProofingMakeVo> getProofingMakeVoListById(Long id);

     List<ProofingMakeVo> getProofingMakeVoList();

     ProofingMakeVo getProofingMakeVoById(String proofingMakeId);

    /**
     *编辑打样制造信息（或添加或修改打样制造与之相关的表）
     * @param proofingMake
     */
     void saveProofingMakeVo(ProofingMake proofingMake);

    void deleteProofingMakeVo(String proofingMakeId);

}
